Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Class ArrayContentProvider

    java.lang.Object
      org.eclipse.jface.viewers.ArrayContentProvider

All Implemented Interfaces:
  IContentProvider, IStructuredContentProvider

    public class ArrayContentProvider

extends Object
implements IStructuredContentProvider

This implementation of `IStructuredContentProvider` handles the case where the viewer input is an unchanging array or collection of elements.

This class is not intended to be subclassed outside the viewer framework.

Since:
  2.1
Restriction:
  This class is not intended to be subclassed by clients.

Constructor Summary
`ArrayContentProvider()`

Method Summary
`void` `dispose()` This implementation does nothing.
`Object[]` `getElements(Object inputElement)` Returns the elements in the input, which must be either an array or a `Collection`.
`static ArrayContentProvider` `getInstance()` Returns an instance of ArrayContentProvider.
`void` `inputChanged(Viewer viewer, Object oldInput, Object newInput)` This implementation does nothing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayContentProvider

    public ArrayContentProvider()

Method Detail

### getInstance

    public static ArrayContentProvider getInstance()

  Returns an instance of ArrayContentProvider. Since instances of this class do not maintain any state, they can be shared between multiple clients.

  Returns:
    an instance of ArrayContentProvider
  Since:
    3.5

### getElements

    public Object[] getElements(Object inputElement)

  Returns the elements in the input, which must be either an array or a `Collection`.

  Specified by:
    `getElements` in interface `IStructuredContentProvider`
  Parameters:
    `inputElement` - the input element
  Returns:
    the array of elements to display in the viewer

### inputChanged

    public void inputChanged(Viewer viewer,
                             Object oldInput,
                             Object newInput)

  This implementation does nothing.

  Specified by:
    `inputChanged` in interface `IContentProvider`
  Parameters:
    `viewer` - the viewer
    `oldInput` - the old input element, or `null` if the viewer did not previously have an input
    `newInput` - the new input element, or `null` if the viewer does not have an input

### dispose

    public void dispose()

  This implementation does nothing.

  Specified by:
    `dispose` in interface `IContentProvider`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.